Skip to main content

✈️ Airlines

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate aviation related data. You can use this endpoint for creating realistic mock data for flights or tickets. Returns an array of airline related properties, by default ten.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
SeedSeed value for reproducible resultsnull

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get airline mockdata.

Get airline mockdata action

HTTP​

Or you can use an HTTP request.

HTTPS
GET https://api.mockster.dev/api/v1/airlines
Accept: application/json

Response​

Example​

JSON
[
{
"aircraftType": "widebody",
"airlineName": "Sky Airline",
"airlineCode": "H2",
"airplaneName": "De Havilland DH.104 Dove",
"airplaneTypeCode": "DHD",
"departureAirportName": "Indira Gandhi International Airport",
"departureAirportCode": "DEL",
"arrivalAirportName": "Perth Airport",
"arrivalAirportCode": "PER",
"flightNumber": "H20316",
"recordLocator": "ACWNMD",
"seat": "14A"
}
]

Aircraft Type​

JSONPower Automate
aircraftTypeAircraft Type

Returns a random aircraft type: regional, narrowbody or widebody.

Return datatype: string

Airline Name​

JSONPower Automate
airlineNameAirline Name

Returns a random airline name. For example: Sky Airline.

Return datatype: string

Airline Code​

JSONPower Automate
airlineCodeAirline IATA Code

Returns a random airline IATA code. For example: H2.

Return datatype: string

Airplane Name​

JSONPower Automate
airplaneNameAirplane Name

Returns a random airplane name. For example: De Havilland DH.104 Dove.

Return datatype: string

Airplane Type Code​

JSONPower Automate
airplaneTypeCodeAirplane IATA Type Code

Returns a random airplane name. For example: DHD.

Return datatype: string

Departure Airport Name​

JSONPower Automate
departureAirportNameDeparture Airport Name

Returns a random departure airport name. For example: Indira Gandhi International Airport.

Return datatype: string

Departure Airport Code​

JSONPower Automate
departureAirportCodeDeparture Airport IATA Code

Returns a random departure airport IATA code. For example: DEL.

Return datatype: string

Arrival Airport Name​

JSONPower Automate
arrivalAirportNameArrival Airport Name

Returns a random arrival airport name. For example: Perth Airport.

Return datatype: string

Arrival Airport Code​

JSONPower Automate
arrivalAirportCodeArrival Airport IATA Code

Returns a random arrival airport IATA code. For example: PER.

Return datatype: string

Flight Number​

JSONPower Automate
flightNumberFlight Number

Returns a random flight number. For example: H20316. Flight numbers are 1 to 4 numbers long. Leading zeros are added as well as airline IATA code to generate commonly used format.

Return datatype: string

Record Locator​

JSONPower Automate
recordLocatorRecord Locator

Returns a random record locator. For example: ACWNMD. Airlines commonly use this to identify reservations. Can be used as a booking reference, confirmation codes etc.

Return datatype: string

Seat​

JSONPower Automate
seatSeat

Returns a random seat. For example: 14A. Property uses generated Aircraft Type as input for consistensy.

Return datatype: string

To create realistic passenger data you can use the 🧍🏻 Persons endpoint.

You might also want to add some dates to the flights with 🗓️ Dates endpoint.